<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbEmailLogTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_email_log', function(Blueprint $table)
		{
			$table->foreign('account_id', 'fk_el_acc')->references('id')->on('ab_account')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('email_template_translate_id', 'fk_el_ett')->references('id')->on('ab_email_template_translate')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('module_id', 'fk_el_mod')->references('id')->on('ab_module')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_email_log', function(Blueprint $table)
		{
			$table->dropForeign('fk_el_acc');
			$table->dropForeign('fk_el_ett');
			$table->dropForeign('fk_el_mod');
		});
	}

}
